package com.template.services;

import com.template.model.pojo.AlumniCategoryImage;
import com.template.model.pojo.AlumniCategoryNews;
import com.template.model.pojo.AlumniCategoryNews;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-12-02
 */
public interface AlumniCategoryNewsService extends IService<AlumniCategoryNews> {
    int insertAlumniCategoryNews(AlumniCategoryNews au);

    int updateAlumniCategoryNews(AlumniCategoryNews au);

    AlumniCategoryNews queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<AlumniCategoryNews> queryPageList(int currentPage, int pageCount, String startTime, String endTime);

    List<AlumniCategoryNews> queryDatas();

    AlumniCategoryNews queryDataByName(String name);
}
